WPS4PLCInternal::PLC Struct Reference

Internal and low level: the PLC different types and their structures. More...

## Public Types

enum | Position { P_ABS =0, P_REL, P_UNKNOWN }
| the way to define the text positions More...
enum | Type { T_CST =0, T_COMPLEX, T_UNKNOWN }
| the type of the content More...
typedef enum WPS4TextInternal::PLCType | PLCType
| the PLC types More...

## Public Member Functions

| PLC (PLCType w=WPS4TextInternal::Unknown, Position p=P_UNKNOWN, Type t=T_UNKNOWN, unsigned char tChar='\0', int f=1)
| constructor More...

## Public Attributes

PLCType | m_type
| PLC type. More...
Position | m_pos
| the way to define the text positions More...
Type | m_contentType
| the type of the content More...
unsigned char | m_textChar
| the character which appears in the text when this PLC is found More...
int | m_cstFactor
| some data are stored divided by some unit More...

## Detailed Description

Internal and low level: the PLC different types and their structures.

## Member Typedef Documentation

typedef enum WPS4TextInternal::PLCType WPS4PLCInternal::PLC::PLCType

the PLC types

## Member Enumeration Documentation

enum WPS4PLCInternal::PLC::Position

the way to define the text positions

- P_ABS: absolute position,
- P_REL: position are relative to the beginning text offset

Enumerator
P_ABS |
P_REL |
P_UNKNOWN |

enum WPS4PLCInternal::PLC::Type

the type of the content

- T_CST: size is constant
- T_STRUCT: a structured type ( which unknown size)

Enumerator
T_CST |
T_COMPLEX |
T_UNKNOWN |

## Constructor & Destructor Documentation

WPS4PLCInternal::PLC::PLC | ( | PLCType | w = `WPS4TextInternal::Unknown`,
|  | Position | p = `P_UNKNOWN`,
|  | Type | t = `T_UNKNOWN`,
|  | unsigned char | tChar = `'\0'`,
|  | int | f = `1`
| ) |  |

inline

constructor

## Member Data Documentation

Type WPS4PLCInternal::PLC::m_contentType

the type of the content

int WPS4PLCInternal::PLC::m_cstFactor

some data are stored divided by some unit

Referenced by WPS4Text::readPLC().

Position WPS4PLCInternal::PLC::m_pos

the way to define the text positions

Referenced by WPS4Text::readPLC().

unsigned char WPS4PLCInternal::PLC::m_textChar

the character which appears in the text when this PLC is found

'\0' means that there is not default character

Referenced by WPS4Text::readPLC().

PLCType WPS4PLCInternal::PLC::m_type

PLC type.

Referenced by WPS4Text::readPLC().

The documentation for this struct was generated from the following file:

- WPS4Text.cpp